PayZuDocs
Cobranças

Estornar Cobrança

Devolve ao portador o valor de uma cobrança, inteiro ou apenas parte dele.

Autorização

BearerAuth MutualTLS
AutorizaçãoBearer <token>

Token JWT obtido em POST /token

Em: header

Parâmetros de path

chargeId*string

Id da cobrança

Parâmetros de query

amount?number

Valor da cobrança em centavos, para uma reversão parcial

Corpo da resposta

application/json

curl --request PUT \  --url 'https://api.payzu.io/v1/charges/9b1e7c34-5a2d-4f8b-8c1a-2e3f4a5b6c7d/reverse' \  --header 'Authorization: Bearer $PAYZU_TOKEN' \  --cert "$PAYZU_CLIENT_CERT" --key "$PAYZU_CLIENT_KEY"
200
{
"id": "e3b7a1f2-8c4d-4a09-9f1e-2b6c8d5a7e90",
"externalId": "pedido-1234",
"postbackUrl": "https://seusite.com.br/webhooks/payzu",
"amount": 10000,
"paymentType": "creditcard",
"createdAt": "2026-06-12T14:35:22.000Z",
"updatedAt": "2026-06-12T14:35:24.000Z",
"id": 501,
"name": "Maria Souza",
"identity": "11144477735",
"identityType": "CPF",
"email": "maria.souza@example.com",
"birthdate": "1990-04-15",
"phone": "11999998888",
},
],
"installments": 1,
"authenticate": false,
"currency": "BRL",
"acquirerTransactionId": "1049329871283a5d2b8e",
"authorizationCode": "128734",
"reasonCode": 0,
"reasonMessage": "Successful",
"status": 11,
"returnCode": "6",
"returnMessage": "Operação realizada com sucesso",
"externalAuthentication": {},
"reversedAmount": 10000,
"reversedDate": "2026-06-13T09:12:45.000Z",
"chargeId": "e3b7a1f2-8c4d-4a09-9f1e-2b6c8d5a7e90",
"chargebacks": []
}
}